Bug 464053 - SDL ALSA audio may break across privilege boundaries.
SDL ALSA audio may break across privilege boundaries.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 23:32 EDT by Michael Stone
Modified: 2009-07-14 10:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
SDL Simple Directmedia Layer 633 None None None Never
OLPC 8307 None None None Never

  None (edit)
Description Michael Stone 2008-09-25 23:32:55 EDT
Description of problem:

SDL-1.2.13 (and SVN trunk, at the time of this writing) incorrectly use of the kill(pid, 0) idiom resulting in audio playback failure in some circumstances involving privileged processes such as those created by the OLPC activity isolation security system.

This issue is further documented downstream at http://dev.laptop.org/ticket/8307 and upstream at http://bugzilla.libsdl.org/show_bug.cgi?id=633. (This filing is just a courtesy notification for the Fedora and RedHat SDL maintainers as suggested by ivazquez.)

Version-Release number of selected component (if applicable):

Tested SDL-1.2.13-4 in particular.

How reproducible:

100% for me on my XO running OLPC build 8.2-763.

Steps to Reproduce:
1. As discussed in http://dev.laptop.org/ticket/8307, run the Bounce-6 activity on OLPC build 8.2-763. Listen as the ball bounces off of the walls of the game's arena.
  
Actual results:

You will observe the absence of sound playback.

Expected results:

The ball should make a 'pong' sound each time it impacts a wall.
Comment 1 Bug Zapper 2009-06-09 22:48:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:55:41 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.